aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-xdg/APKBUILD
diff options
context:
space:
mode:
authorAmatCoder <amatcoder@gmail.com>2014-12-11 09:50:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-16 14:18:26 +0000
commit2192c29544c5eebbe61c3f15115a9eb4dc3cc057 (patch)
tree0bc2c425cdb028d62507e6ece95b61cbf312b56b /testing/py-xdg/APKBUILD
parentde8f4d2bcc41e99193467b2de8eb489464814301 (diff)
downloadaports-2192c29544c5eebbe61c3f15115a9eb4dc3cc057.tar.gz
aports-2192c29544c5eebbe61c3f15115a9eb4dc3cc057.tar.bz2
aports-2192c29544c5eebbe61c3f15115a9eb4dc3cc057.tar.xz
testing/py-xdg: new aport
Diffstat (limited to 'testing/py-xdg/APKBUILD')
-rw-r--r--testing/py-xdg/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/testing/py-xdg/APKBUILD b/testing/py-xdg/APKBUILD
new file mode 100644
index 0000000000..c22458d32f
--- /dev/null
+++ b/testing/py-xdg/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: August Klein <amatcoder@gmail.com>
+# Maintainer: August Klein <amatcoder@gmail.com>
+pkgname=py-xdg
+_pkgname=pyxdg
+pkgver=0.25
+pkgrel=0
+pkgdesc="A python library to access freedesktop.org standards"
+url="http://freedesktop.org/wiki/Software/pyxdg"
+arch="noarch"
+license="LGPL"
+depends=""
+depends_dev="python-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://people.freedesktop.org/~takluyver/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="bedcdb3a0ed85986d40044c87f23477c pyxdg-0.25.tar.gz"
+sha256sums="81e883e0b9517d624e8b0499eb267b82a815c0b7146d5269f364988ae031279d pyxdg-0.25.tar.gz"
+sha512sums="86cbf3a54fb8e79043db60dcdbb3fb10013ae25a900fa3592edc8a24bf3f440c19bc04626c7906293c785fcb56eab9d87d209b723b5baa872376ba1eb86758b6 pyxdg-0.25.tar.gz"